package baseclass.tools;

import java.net.InetAddress;

import p2.p2server.P2Server;
import p2.p2server.SimpleService;
import p2.application.sysvars.SysVars1;

public class P2StartingConfigService extends SimpleService {
	public P2StartingConfigService(P2Server arg0) throws Exception {
		super(arg0);
	}

	@Override
	public void init() throws Exception {
		super.init();
		InetAddress ia = null;
		try {
			ia = InetAddress.getLocalHost();
			SysVars1.localip = ia.getHostAddress();
			SysVars1.localname = ia.getHostName();

		} catch (Exception e) {
			e.printStackTrace();
		}

	}
}
